## org.apache.mahout.cf.taste.similarity
Interface PreferenceInferrer

All Superinterfaces:
  Refreshable

All Known Implementing Classes:
  AveragingPreferenceInferrer

    public interface PreferenceInferrer

extends Refreshable

Implementations of this interface compute an inferred preference for a user and an item that the user has not expressed any preference for. This might be an average of other preferences scores from that user, for example. This technique is sometimes called "default voting".

Method Summary
`float` `inferPreference(long userID, long itemID)` Infers the given user's preference value for an item.

Methods inherited from interface org.apache.mahout.cf.taste.common.Refreshable
`refresh`

Method Detail

### inferPreference

    float inferPreference(long userID,
                          long itemID)
                          throws TasteException

  Infers the given user's preference value for an item.

  Parameters:
    `userID` - ID of user to infer preference for
    `itemID` - item ID to infer preference for
  Returns:
    inferred preference
  Throws:
    `TasteException` - if an error occurs while inferring

Copyright © 2008–2014 The Apache Software Foundation. All rights reserved.